aboutsummaryrefslogtreecommitdiffstats
path: root/testing/lzip/APKBUILD
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@me.com>2015-08-21 12:47:23 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2015-08-24 06:48:20 +0000
commit05f4152800198a1cbf6c2874e4be683673cc06f3 (patch)
treef4674dfaec85aa324c7c23fba7dcde8251cee506 /testing/lzip/APKBUILD
parente8ab70ebe97367be12f9d2ed0998fb9c50b8980a (diff)
downloadaports-05f4152800198a1cbf6c2874e4be683673cc06f3.tar.gz
aports-05f4152800198a1cbf6c2874e4be683673cc06f3.tar.bz2
aports-05f4152800198a1cbf6c2874e4be683673cc06f3.tar.xz
testing/lzip: new aport
Lzip is a lossless data compressor http://lzip.nongnu.org/lzip.html
Diffstat (limited to 'testing/lzip/APKBUILD')
-rw-r--r--testing/lzip/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/lzip/APKBUILD b/testing/lzip/APKBUILD
new file mode 100644
index 0000000000..5f929885e8
--- /dev/null
+++ b/testing/lzip/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer:
+pkgname=lzip
+pkgver=1.17
+pkgrel=0
+pkgdesc="Lzip is a lossless data compressor"
+url="http://lzip.nongnu.org/lzip.html"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://download.savannah.gnu.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR=${pkgdir} install || return 1
+}
+
+md5sums="be776a33333ee6529ea79f309491325b lzip-1.17.tar.gz"
+sha256sums="9443855e0a33131233b22cdb6c62c9313a483f16cc7415efe88d4a494cea0352 lzip-1.17.tar.gz"
+sha512sums="cd4a1a7d3778f22e3a6f2d2a20491919e662771e79d1738f74c63de857913e28186d53b2af7997e1b164f8ab792561c7dde8781bb025a1859271ddd72f5ed519 lzip-1.17.tar.gz"